Skip to content
You're viewing documentation for v2026.11.6-beta. It may be out of date.Go to latest
TimescaleDB Enterprise
Esc
↑↓navigate↵open⌘Jpreview

Get a license binding

Read whether an air-gapped license is bound to this console.

GET/api/v1/license/{file}/bind
Authorization
tse_sessionAPI key · cookierequired
Path parameters
filestringrequired
Responses
200

OK

account_idstring
boundbooleanrequired
detailstring
fingerprintstringrequired
license_idstring
requiredbooleanrequired
ttl_secondsinteger<int64>required
default

Error

codestring

Stable code of the refusal, when the route has codes

detailsstring[]

Additional detail, e.g. per-field validation failures

errorstringrequired

Human-readable error message

Request
curl -X GET 'https://console.example.com/api/v1/license/string/bind' \
  -H 'Cookie: tse_session=YOUR_API_KEY' \
  -H 'Accept: application/json'
Response
{
  "account_id": "string",
  "bound": true,
  "detail": "string",
  "fingerprint": "string",
  "license_id": "string",
  "required": true,
  "ttl_seconds": 0
}